namespace Gen7 {
    [Move effect=ChangeAllTargetStats]
    class ChangeAllTargetStats : PkmnScript{
        int8 _amount;

        void OnInitialize(const EffectParameter@[] &in parameters) override{
            _amount = int8(parameters[0].AsInt());
        }

        void OnSecondaryEffect(ExecutingMove@ attack, Pokemon@ target, uint8 hit) override{
            target.ChangeStatBoost(Statistic::Attack, _amount);
            target.ChangeStatBoost(Statistic::Defense, _amount);
            target.ChangeStatBoost(Statistic::SpecialAttack, _amount);
            target.ChangeStatBoost(Statistic::SpecialDefense, _amount);
            target.ChangeStatBoost(Statistic::Speed, _amount);
        }
    }
}