namespace Gen7 {
    [Move effect=ChangeTargetAtt]
    class ChangeTargetAttack : PkmnScript{
        int8 _amount;

        void OnInitialize(const EffectParameter@[] &in parameters) override{
            _amount = int8(parameters[0].AsInt());
        }

        void OnSecondaryEffect(ExecutingMove@ attack, Pokemon@ target, uint8 hit) override{
            target.ChangeStatBoost(Statistic::Attack, _amount);
        }
    }
}